Subject: Re: schizophrenic G5 ...

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 24 Dec 2008 07:23:02 +1100

> I have a very similar problem on my mac at work.
> I don't know atm how to look up the critical temperature that is
> fused. My mac reported only 55 degrees for the one cpu.
> The critical temperature can be read from the device-tree if i remember
> it correctly.
> I heard that there exists a bootable CD which contains a tool to refuse
> the CPU. Dont know where to download it, so my pragmatic solution was to
> relocate the machine to a room with air conditioning ;-)
> And I also run the ONE cpu at lowest frequency.

The calibration info is in an i2c EEPROM iirc, though we read it's
content via the device-tree.

Cheers,
Ben.